Subject: Re: [PATCH 1/6] Start split out of common open firmware code

From: Segher Boessenkool <[email-masked]>
Date: Wed, 25 Apr 2007 02:50:13 +0200

>> While I realise your patch is just moving stuff around,
>> can this be fixed please?  A missing "#address-cells"
>> property means "two cells", not "inherit from parent".
>> The few platforms with a broken tree should just be
>> fixed (patch the tree in the bootwrapper, or perhaps
>> _do_ use this workaround, but only on the affected
>> platforms).
>
> If you can get me access to all of the old PowerMac or CHRP crap with
> broken device-tree's ...

No I can't, which is exactly why I cannot fix it myself.

> Note that I don't think there's much cases of such breakage on the
> field,

For PowerPC it is mostly the G3 PowerMacs I believe.

The SPARC tree carries the same broken code -- is
this just a case of code copying, or are there
actual SPARC machines with such broken trees?

> but I'd be annoyed to change a behaviour we had from day 1.

Yes exactly -- we shouldn't just completely break
the kernel working on those machines.  Of course,
if no tester can be found, perhaps support for
those boxes should just be abandoned.

Segher